<?php
##### rrtextplus_ancestor_helpinc.php, installed by ###TextPlus Charts-French Help, by Robin Richmond
$tngModNames['TextPlus Charts-French Help']['rrtextplus_ancestor_helpinc.php'] = '17'; #Register this mod
###########################################################
?>
<table id='top' width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<span class="largeheader">Aide : Tableau des ancêtres Text+ </span>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow" id='overview'>
		<div class='toc'>
		<h3>Table des matières</h3>
		<ol type='I'>
			<li><a href='#overview'>Le tableau des ancêtres Text+</a></li>
			<li><a href='#printing'>Impression d'un tableau Text+</a></li>
			<li><a href='#boundary'>Questions de marges</a></li>
		</ol>
		</div>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow" id='overview'>
		<h2>Vue d'ensemble</h2>
		<p>Le tableau des ancêtres Text+ est <i>similaire</i> à une tableau d'ascendance classique
		en ce qu'il trace des lignes vers le haut et la droite pour les pères et vers le bas et la droite pour les mères,
	    mais tout à fait différent en ce qui concerne la structure générale. Au lieu de placer chaque génération dans ce qui revient à une colonne du tableau,
	
		</p>
		<div class='p'>
		<b>Il est très important que vous soyez averti, que contrairement à chaque page web que vous ayez jamais vue, 
	    les tableaux Text+ ne s'adaptent pas automatiquement à la largeur du navigateur ou à celle de la page imprimée.</b>
		Les lignes verticales à gauche interfèrent avec cette adaptation.
		Dans le cas où de longues lignes du tableau s'alignent à l'extrême gauche plutôt qu'au niveau de retrait où la ligne a commencé,
		<ul>
		<li>Vous avez <i>la possibilité</i> de sélectionner des options de formatage qui modifient le contenu du tableau, la taille de police, et celle du retrait,</li>
		<li>Vous <i>devez</i> schoisir une largeur de tableau qui s'adapte à la fenêtre du navigateur ou à la page d'impression, et</li>
		<li>vous avez <i>la possibilité</i> d'ajuster cette largeur.</li>
		</ul>
		Voir <a href="#printing">les consignes d'impression</a> ci-dessous.
		</div>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<div class='p'>
		<h3>Élements spécifiques au tableau des ancêtres Text+</h3>
<?php echo "[[$imagepath]]"; ?>
		<img src="<?php echo $imagepath; ?>ancestor_example.jpg">
		<p><a href="ancestor_example.jpg" onclick="return openHelpImage('<?php echo $imagepath; ?>ancestor_example.jpg',740,650);">(Ouvrir cettte copie d'écran dans une nouvelle fenêtre)</a><p>
		</div>

		<h4 style='color:blue;'>Élements 1-3 - Contrôle et légende du tableau des ancêtres</h4>
		<ol class='p'>
		<li><b>Contrôles qui affectent la présence d'informations dans le tableau</b>.
			Chacun de ces contrôles génère un nouveau tableau dès que vous changez la valeur du contrôle ;
			il n'y a pas de bouton "Soumettre".
			<ol type='a'>
			<li><b>Générations</b>
				La liste déroulante de cette boîte détermine combien de générations seront incluses dans  le relevé.
				On peut choisir :"Toutes".</li>
			<li><b>Frères et sœurs</b>.
				Quand cette option est cochée, seront inclus dans le tableau les frères et sœurs de la personne d'origine et ceux de chaque ancêtre. C'est-à-dire que les oncles et tantes seront affichés pour chaque génération, ce qui donnera un aperçu plus riche de la base de données.</li>
			<li><b>Afficher les N° de génération</b>
				Quand cette option est cochée, les numéro de génération sont affichés immédiatement avant chaque nom dans le tableau.
				<a href="ancestor_gencount.jpg" class='nw tpgencount' 
					onclick="$('.tpgencount').toggle(); return false;">(Voir un exemple)</a>
				<a href="ancestor_gencount.jpg" class='nw tpgencount' style='display:none;'
					onclick="$('.tpgencount').toggle(); return false;">(Cacher l'exemple)</a>
				<img src="<?php echo $imagepath; ?>ancestor_gencount.jpg" class="tpgencount" style='display:none;'></li>
			<li><b>Rang de naissance</b>.
				Cette option n'est disponible que si les options Numéros de génération <i>et</i> Frères et sœurs sont toutes deux cochées. Quand cette option est cochée,
				le rang de naissance est affiché avec le numéro de génération devant chaque nom.
				<a href="ancestor_sibcount.jpg" class='nw tpsibcount'
					onclick="$('.tpsibcount').toggle();return false;">(Voir un exemple)</a>
				<a href="ancestor_sibcount.jpg" class='nw tpsibcount' style='display:none;'
					onclick="$('.tpsibcount').toggle();return false;">(Cacher l'exemple)</a>
				<img src="<?php echo $imagepath; ?>ancestor_sibcount.jpg" class="tpsibcount" style='display:none;'></li>
			<li><b>Format compact</b>.
				Le tableau Text+ des ancêtres ajoute normalement des espaces verticaux pour améliorer la lisibilité. Ces espaces sont supprimés quand cette option est cochée.</li>
			<li><b>Surligner une génération</b>.
				Quand une valeur non nulle est sélectionnée dans cette liste déroulante, tous les noms des gens de cette génération sont surlignés et agrandis (mais pas les données de naissance/décès/mariage).  Ce surlignement aide le lecteur à repérer les personnes d'une génération donnée. La génération 1 est surlignée au chargement de la page. Pour la valeur "Aucune", le surlignement est désactivé.
				<br><a href="ancestor_focus.jpg" class='nw tpfocus'
					onclick="$('.tpfocus').toggle();return false;">(Voir un autre exemple)</a>
				<a href="ancestor_focus.jpg" class='nw tpfocus' style='display:none;'
					onclick="$('.tpfocus').toggle();return false;">(Cacher l'exemple)</a>
				<img src="<?php echo $imagepath; ?>ancestor_focus.jpg" class="tpfocus" style='display:none;'></li>
			<li><b>Valeurs pour les dates et lieux</b>.
				Cliquer sur cette étiquette déroule un formulaire qui permet de contrôler comment et où lesdates, les lieux, les âges sont affichés dans le tableau.Clicking on this label drops down a form that lets you control how and whether dates, places, and ages are displayed in the chart. La plupart de ces choix sont explicites et s'ils ne le sont pas, essayez-les donc. :-)
				<div><a href="dateplaceoptions.jpg" class='nw tpdateplace'
					onclick="$('.tpdateplace').toggle();return false;">(Voir le formulaire dates et lieux)</a>
				<a href="dateplaceoptions.jpg" class='nw tpdateplace' style='display:none;'
					onclick="$('.tpdateplace').toggle();return false;">(Cacher le formulaire dates et lieux)</a>
				<img src="<?php echo $imagepath; ?>dateplaceoptions.jpg" class="tpdateplace" style='display:none;'></div>
				Le bouton "sauvegarder" enregistre un cookie avec toutes ces configurations pour la prochaine fois où vous relancerez le tableau des ancêtres Text+, ce soit selon cette configuration-là. Si vous cliquez sur "Réafficher le tableau", Text+ utilisera la configuration en cours, pas celle enregistrée dans le cookie.</li>
			</ol></li>
		<li><b>Contrôles pour la largeur, l'aide et l'impression</b>
			<ol type='i'>
			<li>Le contrôle de la "Largeur" concerne ... la largeur du tableau,
			et c'est l'une des fonctionnalités du programme pour gérer la largeur de la page et son ajustement.
			En diminuant la Largeur ou en augmentant la taille de la fenêtre du navigateur,
			vous pouvez réduire l'occurrence des lignes qui débordent jusqu'à la marge gauche du tableau.</li>
			<li>Deux boutons d'aide - un qui décrit le tableau, et l'autre le processus d'impression pour les deux tableaux Text+. </li>
			<li>Le bouton "Format d'impression". Chaque fois que vous devez <i>imprimer</i>
				un tableau Text+, vous devez cliquer sur ce bouton et utiliser la page "Format d'impression"
				pour spécifier la largeur de la page et la taille du tableau, de façon à ce qu'il s'imprime proprement.
				Le procédé du Format d'impression est décrit dans  <a href='rrtextplus_print_help.php' target='_blank'>une page d'aide séparée.</a></li>
			</ol></li>
		<li><b>La légende du tableau</b>
			<br>Deux icônes ont une signification particulière.
			<ol type='i'>
			<li><b>Localiser une personne dans le tableau</b>
				Il y a une icône en forme de loupe près du nom de chaque ancêtre dans le tableau.
				Quand on clique sur la loupe, un tout petit arbre généalogique s'affiche pour montrer comment cette personne est apparentée à la personne d'origine.
				<a href="ancestor_locate.jpg" class='nw tplocate'
					onclick="$('.tplocate').toggle();return false;">(Voir un exemple)</a>
				<a href="ancestor_locate.jpg" class='nw tplocate' style='display:none;'
					onclick="$('.tplocate').toggle();return false;">(Cacher l'exemple)</a>
				<img src="<?php echo $imagepath; ?>ancestor_locate.jpg" class="tplocate" style='display:none;'></li>
			<li><b>Plus d'ancêtres</b>
				Cette icône s'affiche à la droite de chaque personne avec des ancêtres qui ne pouvaient pas être affichés en raison de la limite du tableau en nombre de générations.
				Vous pouvez sélectionner plus de générations pour étendre ce tableau,
				ou cliquer sur cette icône pour afficher un tableau des ancêtres pour cette personne.</li>
			</ol></li>
		</ol>
		<h4 style='color:blue;'>Élements 4-7 - Éléments du tableau</h4>
		<ol start='4'>
		<li>Ici, vous voyez la Génération 1 mise en relief parce que la boîte de sélection "Surligner la génération N°" est sur le 1.</li>
		<li>Cette boîte marque la grande complexité d'impression des tableaux Text+,
			en ce que le tableau Text+ exige que vous spécifiez une largeur de tableau
			(dans les contrôles de tableau numérotés en N°2 ci-dessus) parce que les lignes de données longues ne
			s'adaptent pas magiquement toutes seules à la largeur du navigateur ou de la page d'impression comme ça le fait dans la plupart des pages web.
			Quand vous constatez qu'une ligne vient se coller tout à gauche, comme celle-ci,
			vous savez que la largeur de tableau choisie est trop grande pour la fenêtre du navigateur.
			<br><a href="rrtextplus_print_help.php" onclick="return openHelpImage(rrtextplus_print_help.php,740,650);">Voir le fichier d'aide pour l'impression des tableaux Text+ e</a> pour plus de détails.</li>
		<li>C'est l'icône "Plus d'ancêtres" qui vous dit, en l'espèce, 
			que Jacob Armay Keebler a encore d'autres ancêtres.
			Et vous pouvez cliquer sur l'icône pour voir ces ancêtres.</li>
		<li>Tout en bas du tableau se trouve un pied de page qui résume le tableau.
			(Selon la configuration du site, il peut y avoir aussi un pied de page <i>flottant</i> qui reste collé
			au bas de votre écran.)
			A noter ce message du pied de page "12 lignées ancestrales partent de ce tableau", avec un lien pour afficher les détails.
			Ce message ne s'imprimera jamais, mais si vous cliquez sur le lien "afficher les détails",
			vous obtiendrez un relevé des noms de famille des ancêtres pour ce tableau.
			<a href="ancestral_lines.jpg" class='nw tpalines'
				onclick="$('.tpalines').toggle();return false;">(Voir un exemple)</a>
			<a href="ancestral_lines.jpg" class='nw tpalines' style='display:none;'
				onclick="$('.tpalines').toggle();return false;">(Cacher l'exemple)</a>
			<div class="tpalines" style='display:none;'>
				<img src="<?php echo $imagepath; ?>ancestral_lines.jpg" 
				<div>Les lignées sont divisées entre "masculine" and "féminine" parce que -
				<i>la plupart du temps, du moins dans de nombreuses cultures</i> -
				les noms de famille des femmes ne sont pas transmis aux générations suivantes.
				<br>Vous pouvez toujours cacher cette information si vous ne voulez pas l'imprimer.
			</div></li>
		</ol>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow" id='printing'>
		<h2>II. Imprimer un tableau TextPlus</h3>
		En raison de la limitation des ajustements de ligne mentionnée ci-dessus,
		il est souvent nécessaire de passer par un processus de Formatage d'impression pour ajuster le tableau et qu'il s'adapte à la page imprimée.
		<br><a href="ancestor_printmenu.jpg" class='tpprintmenu'
			onclick="$('.tpprintmenu').toggle();return false;">Voir une copie d'écran de la fenêtre Format d'impression, avec les contrôles de Format d'impression.</a>
			<div class='tpprintmenu' style='display:none;'>
				<div><img src="<?php echo $imagepath; ?>ancestor_printmenu.jpg"></div>
			Noter que la série de contrôles étiquetés "Contenu du tableau" sont les mêmes que ceux étiquetés N° 2 dans la copie d'écran ci-dessus du tableau des ancêtres.</div>
		<p style='margin-top:1ex;'>
		Le processus d'impression est le même pour les tableaux Text+ des ancêtres et des descendants,
		et il est décrit dans <a href='rrtextplus_print_help.php' target='blank'>la page d'aide à l'impression de tableau Text+.</a></p>
	</td>
</tr>
<tr class="databack" id='boundary'>
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table des matières</a></div>
		<h2>III. Questions de marges</h2>
		(Ce qui arrive quand le nombre de générations augmente et que les lignes verticales approchent de la marge de droite.)
		<p>
		Il n'y a pas de limite spécifique au nombre de générations que vous pouvez <em>essayer</em> d'imprimer quels que soient les paramètres,
		bien que cela va commencer à se détériorer à mesure que les lignes verticales tracées par le programme approchent de la marge de droite.
		En particulier :
		<ol>
		<li>La dernière ou les 2 dernières générations qui rentrent dans une seule ligne vont se caser dans une zone si petite que les données de chaque personne vont prendre plusieurs lignes pour s'imprimer.
		<li>Le nom d'une personne ne sera jamais coupé par un retour à la ligne, et s'il n'y a plus de place sur une ligne pour le nom complet, le nom va se caler à la marge extrême gauche lors de l'impression.</li>
		<li>S'il y a moins de 9 espaces disponibles pour des données sur une ligne, un message d'erreur va s'afficher iniquant que la donnée ne va jamais pouvoir se caser dans le tableau avec les paramètres d'impression spécifiés.</li>
		</ol>
		<p>
		Si cous rencontrez l'une ou l'autre de ces situations, vous pouvez simplement diminuer le retraite ou la taille de police (ou encore diminuer le nombre de générations.)</p>
		<p><a href='#'>Table des matières</a></p>
	</td>
</tr>

</table>

